#
# spec file for package python-qinlingclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-qinlingclient
Version:        2.1.0
Release:        1.4
Summary:        Python API and CLI for OpenStack Qinling
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/python-qinlingclient
Source0:        https://files.pythonhosted.org/packages/source/p/python-qinlingclient/python-qinlingclient-2.1.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-cliff
BuildRequires:  python2-keystoneauth1
BuildRequires:  python2-keystoneclient
BuildRequires:  python2-mock
BuildRequires:  python2-osc-lib
BuildRequires:  python2-oslo.log
BuildRequires:  python2-oslotest
BuildRequires:  python2-pbr
BuildRequires:  python2-requests-mock
BuildRequires:  python2-stestr
BuildRequires:  python2-testscenarios
BuildRequires:  python2-testtools
BuildRequires:  python3-cliff
BuildRequires:  python3-devel
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-keystoneclient
BuildRequires:  python3-mock
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo.log
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr
BuildRequires:  python3-requests-mock
BuildRequires:  python3-stestr
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
Requires:       python-Babel
Requires:       python-PrettyTable
Requires:       python-PyYAML
Requires:       python-iso8601
Requires:       python-keystoneclient
Requires:       python-openstackclient
Requires:       python-osc-lib
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python-oslo.serialization
Requires:       python-oslo.utils
Requires:       python-pbr
Requires:       python-requests
Requires:       python-six
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
This is an OpenStack Client (OSC) plugin for Qinling, an OpenStack Function as
a Service project.

%package -n python-qinlingclient-doc
Summary:        Documentation for OpenStack Qinling API Client
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-reno

%description -n python-qinlingclient-doc
This is an OpenStack Client (OSC) plugin for Qinling, an OpenStack Function as
a Service project.
This package contains auto-generated documentation.

%prep
%autosetup -p1 -n python-qinlingclient-2.1.0
%py_req_cleanup

%build
%{python_build}

PBR_VERSION=2.1.0 sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}

%check
%python_exec -m stestr.cli run

%files %{python_files}
%license LICENSE
%doc README.rst ChangeLog
%{python_sitelib}/qinlingclient
%{python_sitelib}/*.egg-info

%files -n python-qinlingclient-doc
%license LICENSE
%doc doc/build/html

%changelog
